Skip to main content
GET
/
api
/
v1
/
recordings
/
search
Search recordings by title
curl --request GET \
  --url https://app.menutes.com/api/v1/recordings/search \
  --header 'Authorization: Bearer <token>'
{
  "recordings": [
    {
      "id": "<string>",
      "meetingTitle": "<string>",
      "status": "UPLOADING",
      "duration": 123,
      "sharingScope": "PRIVATE",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "processingPhase": "<string>",
      "speakerCount": 123,
      "sourceType": "BROWSER",
      "user": {
        "id": "<string>",
        "name": "<string>"
      },
      "team": {
        "id": "<string>",
        "name": "<string>"
      },
      "isOwner": true
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

API key authentication. Create a key in Settings → API Keys. Key format: mnts_ followed by 40 hex characters.

Query Parameters

q
string
required

Search query

Required string length: 1 - 200
limit
integer
default:10
Required range: x <= 50

Response

Search results

recordings
object[]
total
integer